---
title: "GetBotServiceTrust"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: EZGH Cloud organizations and IAM › botServiceTrust

`GET /v1/organizations/{orgId}/bots/{botId}/service-trust`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `oauth`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie

## Path parameters

- `GetBotServiceTrust.path.orgId` (string, required) — The organization's UUID or prefixed ID (org_…).
- `GetBotServiceTrust.path.botId` (string, required) — The bot's UUID or prefixed ID (bot_…).

## Code samples

### cURL

```curl
curl --request GET \
  --url https://orgs.ezghcloud.com/v1/organizations/string/bots/string/service-trust \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://orgs.ezghcloud.com/v1/organizations/string/bots/string/service-trust';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://orgs.ezghcloud.com/v1/organizations/string/bots/string/service-trust"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success

#### Example

```json
{
  "serviceTrust": [
    {
      "id": "string",
      "service": "string",
      "repository": {
        "kind": "string",
        "id": "string",
        "name": "string"
      },
      "refs": [
        "string"
      ],
      "createdAt": "string"
    }
  ]
}
```

- `GetBotServiceTrust.response.200.serviceTrust` (array<object>, required)
  - `GetBotServiceTrust.response.200.serviceTrust.id` (string, required)
  - `GetBotServiceTrust.response.200.serviceTrust.service` (string, required)
  - `GetBotServiceTrust.response.200.serviceTrust.repository` (object, required)
    - `GetBotServiceTrust.response.200.serviceTrust.repository.kind` (string, required)
    - `GetBotServiceTrust.response.200.serviceTrust.repository.id` (string, required)
    - `GetBotServiceTrust.response.200.serviceTrust.repository.name` (string, required)
  - `GetBotServiceTrust.response.200.serviceTrust.refs` (array<string>, required)
  - `GetBotServiceTrust.response.200.serviceTrust.createdAt` (string, required)

### 400

InvalidRequest

#### Example

```json
{
  "error": {
    "code": "invalid_request",
    "message": "string",
    "issues": [
      {
        "path": "string",
        "message": "string"
      }
    ]
  }
}
```

- `GetBotServiceTrust.response.400.error` (object, required)
  - `GetBotServiceTrust.response.400.error.code` (string, required)
    - one of `"invalid_request"`
  - `GetBotServiceTrust.response.400.error.message` (string, required)
  - `GetBotServiceTrust.response.400.error.issues` (array<object>, optional)
    - `GetBotServiceTrust.response.400.error.issues.path` (string, required)
    - `GetBotServiceTrust.response.400.error.issues.message` (string, required)

### 401

Unauthenticated

#### Example

```json
{
  "error": {
    "code": "unauthenticated",
    "message": "string"
  }
}
```

- `GetBotServiceTrust.response.401.error` (object, required)
  - `GetBotServiceTrust.response.401.error.code` (string, required)
    - one of `"unauthenticated"`
  - `GetBotServiceTrust.response.401.error.message` (string, required)

### 403

AccessDenied | BoundaryViolation | ForbiddenOrigin

#### Example

```json
{
  "error": {
    "code": "access_denied",
    "message": "string"
  }
}
```

Any of:

- [AccessDeniedEncoded](/orgs-api/schemas/AccessDeniedEncoded/)
- [BoundaryViolationEncoded](/orgs-api/schemas/BoundaryViolationEncoded/)
- [ForbiddenOriginEncoded](/orgs-api/schemas/ForbiddenOriginEncoded/)

### 404

NotFound

#### Example

```json
{
  "error": {
    "code": "not_found",
    "message": "string"
  }
}
```

- `GetBotServiceTrust.response.404.error` (object, required)
  - `GetBotServiceTrust.response.404.error.code` (string, required)
    - one of `"not_found"`
  - `GetBotServiceTrust.response.404.error.message` (string, required)

### 429

TooManyRequests

#### Example

```json
{
  "error": {
    "code": "too_many_requests",
    "message": "string"
  }
}
```

- `GetBotServiceTrust.response.429.error` (object, required)
  - `GetBotServiceTrust.response.429.error.code` (string, required)
    - one of `"too_many_requests"`
  - `GetBotServiceTrust.response.429.error.message` (string, required)

### 500

InternalError

#### Example

```json
{
  "error": {
    "code": "internal_error",
    "message": "string"
  }
}
```

- `GetBotServiceTrust.response.500.error` (object, required)
  - `GetBotServiceTrust.response.500.error.code` (string, required)
    - one of `"internal_error"`
  - `GetBotServiceTrust.response.500.error.message` (string, required)

### 503

Unavailable

#### Example

```json
{
  "error": {
    "code": "unavailable",
    "message": "string"
  }
}
```

- `GetBotServiceTrust.response.503.error` (object, required)
  - `GetBotServiceTrust.response.503.error.code` (string, required)
    - one of `"unavailable"`
  - `GetBotServiceTrust.response.503.error.message` (string, required)


Source: https://docs.ezghcloud.com/orgs-api/botServiceTrust/GetBotServiceTrust/index.md
